org.apache.http.impl.client

## Class HttpAuthenticator

- java.lang.Object
- - org.apache.http.impl.auth.HttpAuthenticator
  - - org.apache.http.impl.client.HttpAuthenticator

Deprecated.
(4.3) reserved for internal use.

    @Deprecated
    public class HttpAuthenticator
    extends HttpAuthenticator

### Constructor Summary

Constructors
Constructor and Description
`HttpAuthenticator()` Deprecated.
`HttpAuthenticator(org.apache.commons.logging.Log log)` Deprecated.

### Method Summary

Methods
`boolean` `authenticate(org.apache.http.HttpHost host, org.apache.http.HttpResponse response, AuthenticationStrategy authStrategy, AuthState authState, org.apache.http.protocol.HttpContext context)` Deprecated.

### Methods inherited from class org.apache.http.impl.auth.HttpAuthenticator

`generateAuthResponse, handleAuthChallenge, isAuthenticationRequested`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpAuthenticator

    public HttpAuthenticator(org.apache.commons.logging.Log log)

Deprecated.

#### HttpAuthenticator

    public HttpAuthenticator()

Deprecated.

### Method Detail

#### authenticate

    public boolean authenticate(org.apache.http.HttpHost host,
                       org.apache.http.HttpResponse response,
                       AuthenticationStrategy authStrategy,
                       AuthState authState,
                       org.apache.http.protocol.HttpContext context)

Deprecated.